Index: eventos/templates/evento.detail.html
===================================================================
--- eventos/templates/evento.detail.html	(revision 27c0bd449ebfb4ea3f15baa3913dbc362f4a1784)
+++ eventos/templates/evento.detail.html	(revision 27c0bd449ebfb4ea3f15baa3913dbc362f4a1784)
@@ -0,0 +1,57 @@
+{% extends 'base.template.html' %}
+{% load staticfiles %}
+{% block title %}Detalle del Evento {{ object.nombre_evento }}{% endblock %}
+{% block content %}
+    <h1 class="center">Evento: {{ object.nombre_evento }}</h1><hr>
+    
+    <div class="row">
+        <div class="col s12 m12">
+            <div class="card">
+                <div class="card-content">
+                    <span class="card-title"><b>Nombre del evento: </b>{{ object.nombre_evento }}</span>
+                    <ul>
+                        <li><b>Fecha: </b>{{ object.fecha }}</li>
+                    </ul>
+                    <ul>
+                        <li><b>Activo: </b>{% if object.activo %}
+                            Si, el documento si se encuentra activo aún falta {{num_firma}} {% if num_firma > 1 %}participantes {% else %} participante {% endif%} por firmar</li>
+                        {% else %}
+                            No, el documento no esta activo todos los participantes han firmado</li>
+                        {% endif %}
+                    </ul>
+                </div>
+            </div>
+        </div>
+    <div class="col s12 m12">
+        <table class="responsive-table striped">
+        <h4> Participantes</h4>
+            <thead>
+              <tr>
+                  <th scope="col">Nombresy Apellidos</th>
+                  <th scope="col">Firmo?</th>
+              </tr>
+            </thead>
+            <tbody>
+                {% for firmantes in participantes %}
+                    <tr>
+                        <td>
+                            {{ firmantes.fk_participante.nombres }} {{ firmantes.fk_participante.apellidos }}
+                        </td>
+                        <td>
+                            {% if firmantes.firma %}
+                                <i class="material-icons green-text" title="Si">done</i>
+                            {% else %}
+                                <i class="material-icons red-text" title="No">clear</i>
+                            {% endif %}
+                        </td>
+                    </tr>
+                {% endfor %}
+            </tbody>
+        </table>
+        </div>
+    </div>
+    <div class="center">
+        <iframe width="700px" height="600px" src="https://192.168.12.154:8443/Murachi/0.1/archivos/listadopdf/{{object.serial}}">';
+        </iframe>
+    </div>
+{% endblock %}
Index: eventos/templates/evento.list.html
===================================================================
--- eventos/templates/evento.list.html	(revision 4db73c331d848d594c78c8aaf2e29e733bb72558)
+++ eventos/templates/evento.list.html	(revision 27c0bd449ebfb4ea3f15baa3913dbc362f4a1784)
@@ -21,5 +21,5 @@
             </div>
             <div class="card-action">
-                <a type="button" class="btn waves-effect blue darken-1" href="">
+                <a type="button" class="btn waves-effect blue darken-1" href="{% url 'events:detail_event' evento.id %}">
                     <i class="material-icons left">search</i> Detalle
                 </a>
Index: eventos/urls.py
===================================================================
--- eventos/urls.py	(revision 248b1b4e6d07325b3da1a189f531fd1b01151340)
+++ eventos/urls.py	(revision 27c0bd449ebfb4ea3f15baa3913dbc362f4a1784)
@@ -9,4 +9,7 @@
     url(r'^crear-eventos/$', RegisterEvent.as_view(), name='create_events'),
     url(r'^lista-eventos/$', ListEvent.as_view(), name='list_events'),
-    url(r'^firmar-evento/(?P<pk>\d+)$', SignEvent.as_view(), name='firma_events'),
+    url(r'^firmar-evento/(?P<pk>\d+)$', SignEvent.as_view(),
+        name='firma_events'),
+    url(r'^detail-evento/(?P<pk>\d+)$', DetailEvent.as_view(),
+        name='detail_event'),
 ]
Index: eventos/views.py
===================================================================
--- eventos/views.py	(revision 61f3a750b8761c1f72d6766fb638402ff59f0f1f)
+++ eventos/views.py	(revision 27c0bd449ebfb4ea3f15baa3913dbc362f4a1784)
@@ -12,5 +12,8 @@
     redirect
 )
-from django.views.generic import ListView, FormView
+from django.views.generic import (
+    ListView, FormView
+)
+from django.views.generic.detail import DetailView
 
 from multi_form_view import MultiModelFormView
@@ -62,5 +65,6 @@
         files = {'file': file}
         try:
-            r = requests.post('https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/cargar', verify=False, headers={'Authorization': 'Basic YWRtaW46YWRtaW4='}, files=files)
+            #r = requests.post('https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/cargar', verify=False, headers={'Authorization': 'Basic YWRtaW46YWRtaW4='}, files=files)
+            r = requests.post('https://192.168.12.154:8443/Murachi/0.1/archivos/cargar', verify=False, headers={'Authorization': 'Basic YWRtaW46YWRtaW4='}, files=files)
             nuevo_participante = self.form_participante(request.POST)
             consulta_api = r.json()['fileId']
@@ -150,2 +154,29 @@
         kwargs['nombre_evento'] = Evento.objects.get(pk=int(self.kwargs['pk']))
         return super(SignEvent, self).get_context_data(**kwargs)
+
+
+class DetailEvent(DetailView):
+    """!
+    Muestra el detalle del evento
+
+    @author Rodrigo Boet (rboet at cenditel.gob.ve)
+    @copyright <a href='https://www.gnu.org/licenses/gpl-3.0.en.html'>GNU Public License versión 3 (GPLv3)</a>
+    @date 20-11-2017
+    @version 1.0.0
+    """
+    model = Evento
+    template_name = "evento.detail.html"
+
+    def get_context_data(self, **kwargs):
+        evento = int(self.kwargs['pk'])
+        context = super(DetailEvent, self).get_context_data(**kwargs)
+        try:
+            participante_evento = ParticipanteEvento.objects.select_related().filter(fk_evento=evento)
+            falta_porfirma = participante_evento.filter(firma=False).count()
+        except Exception as e:
+            print(e)
+            participante_evento = None
+            falta_porfirma = None
+        context['participantes'] = participante_evento
+        context['num_firma'] = falta_porfirma
+        return context
Index: participantes/views.py
===================================================================
--- participantes/views.py	(revision a1de3f19013178ae841e40b5064f486b28b91461)
+++ participantes/views.py	(revision a1de3f19013178ae841e40b5064f486b28b91461)
@@ -69,9 +69,7 @@
         mensaje = ''
         evento_id = request.POST.get('event_id', None)
-        print(evento_id)
         serial = request.POST.get('serial', None)
-        print(serial)
         pasaporte = request.POST.get('pasaporte', None)
-        print(pasaporte)
+        pasaporte = request.POST.get('pasaporte', None)
         if evento_id is not None and pasaporte is not None:
             if serial is not None:
